<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionDrinkWellContinuous Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/dd2/class_action_drink_well_continuous.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ActionDrinkWellContinuous Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionDrinkWellContinuous:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d4/dd2/class_action_drink_well_continuous.png" usemap="#ActionDrinkWellContinuous_map" alt=""/>
  <map id="ActionDrinkWellContinuous_map" name="ActionDrinkWellContinuous_map">
<area href="../../d6/d3f/class_action_continuous_base.html" alt="ActionContinuousBase" shape="rect" coords="0,0,165,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a92b9b8a31473146e0a5f600a182a8253"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd2/class_action_drink_well_continuous.html#a92b9b8a31473146e0a5f600a182a8253">ActionDrinkWellContinuous</a> ()</td></tr>
<tr class="separator:a92b9b8a31473146e0a5f600a182a8253"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84bf89bfcfeb02b116a7b74b8b6970ed"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd2/class_action_drink_well_continuous.html#a84bf89bfcfeb02b116a7b74b8b6970ed">IsDrink</a> ()</td></tr>
<tr class="separator:a84bf89bfcfeb02b116a7b74b8b6970ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48742cc62414987a64776c4f193ea800"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd2/class_action_drink_well_continuous.html#a48742cc62414987a64776c4f193ea800">GetInputType</a> ()</td></tr>
<tr class="separator:a48742cc62414987a64776c4f193ea800"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04310d1c09e53f3bef0323746b44b4bc"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd2/class_action_drink_well_continuous.html#a04310d1c09e53f3bef0323746b44b4bc">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a04310d1c09e53f3bef0323746b44b4bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab76469b76fd5d966983f45cfbf4b8cca"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd2/class_action_drink_well_continuous.html#ab76469b76fd5d966983f45cfbf4b8cca">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:ab76469b76fd5d966983f45cfbf4b8cca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25e7084b6477181a771a9e321b1b7b22"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd2/class_action_drink_well_continuous.html#a25e7084b6477181a771a9e321b1b7b22">OnStart</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a25e7084b6477181a771a9e321b1b7b22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45b996f5c4b1dae265f1bffc57ee8907"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd2/class_action_drink_well_continuous.html#a45b996f5c4b1dae265f1bffc57ee8907">OnEnd</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a45b996f5c4b1dae265f1bffc57ee8907"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4a1972217013859917de06cea7e08e5"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd2/class_action_drink_well_continuous.html#aa4a1972217013859917de06cea7e08e5">OnFinishProgressServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:aa4a1972217013859917de06cea7e08e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebeb242106aeee11e9c328aeea5f1ec0"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd2/class_action_drink_well_continuous.html#aebeb242106aeee11e9c328aeea5f1ec0">OnEndAnimationLoopServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:aebeb242106aeee11e9c328aeea5f1ec0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d3/d48/_action_drink_well_continuous_8c_source.html#l00009">9</a> of file <a class="el" href="../../d3/d48/_action_drink_well_continuous_8c_source.html">ActionDrinkWellContinuous.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a92b9b8a31473146e0a5f600a182a8253" name="a92b9b8a31473146e0a5f600a182a8253"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92b9b8a31473146e0a5f600a182a8253">&#9670;&#160;</a></span>ActionDrinkWellContinuous()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionDrinkWellContinuous::ActionDrinkWellContinuous </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d48/_action_drink_well_continuous_8c_source.html#l00011">11</a> of file <a class="el" href="../../d3/d48/_action_drink_well_continuous_8c_source.html">ActionDrinkWellContinuous.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab76469b76fd5d966983f45cfbf4b8cca" name="ab76469b76fd5d966983f45cfbf4b8cca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab76469b76fd5d966983f45cfbf4b8cca">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDrinkWellContinuous::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d48/_action_drink_well_continuous_8c_source.html#l00036">36</a> of file <a class="el" href="../../d3/d48/_action_drink_well_continuous_8c_source.html">ActionDrinkWellContinuous.c</a>.</p>

</div>
</div>
<a id="a04310d1c09e53f3bef0323746b44b4bc" name="a04310d1c09e53f3bef0323746b44b4bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04310d1c09e53f3bef0323746b44b4bc">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDrinkWellContinuous::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d48/_action_drink_well_continuous_8c_source.html#l00030">30</a> of file <a class="el" href="../../d3/d48/_action_drink_well_continuous_8c_source.html">ActionDrinkWellContinuous.c</a>.</p>

</div>
</div>
<a id="a48742cc62414987a64776c4f193ea800" name="a48742cc62414987a64776c4f193ea800"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48742cc62414987a64776c4f193ea800">&#9670;&#160;</a></span>GetInputType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override ActionDrinkWellContinuous::GetInputType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d48/_action_drink_well_continuous_8c_source.html#l00025">25</a> of file <a class="el" href="../../d3/d48/_action_drink_well_continuous_8c_source.html">ActionDrinkWellContinuous.c</a>.</p>

</div>
</div>
<a id="a84bf89bfcfeb02b116a7b74b8b6970ed" name="a84bf89bfcfeb02b116a7b74b8b6970ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84bf89bfcfeb02b116a7b74b8b6970ed">&#9670;&#160;</a></span>IsDrink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDrinkWellContinuous::IsDrink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d48/_action_drink_well_continuous_8c_source.html#l00020">20</a> of file <a class="el" href="../../d3/d48/_action_drink_well_continuous_8c_source.html">ActionDrinkWellContinuous.c</a>.</p>

</div>
</div>
<a id="a45b996f5c4b1dae265f1bffc57ee8907" name="a45b996f5c4b1dae265f1bffc57ee8907"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45b996f5c4b1dae265f1bffc57ee8907">&#9670;&#160;</a></span>OnEnd()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDrinkWellContinuous::OnEnd </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d48/_action_drink_well_continuous_8c_source.html#l00054">54</a> of file <a class="el" href="../../d3/d48/_action_drink_well_continuous_8c_source.html">ActionDrinkWellContinuous.c</a>.</p>

</div>
</div>
<a id="aebeb242106aeee11e9c328aeea5f1ec0" name="aebeb242106aeee11e9c328aeea5f1ec0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebeb242106aeee11e9c328aeea5f1ec0">&#9670;&#160;</a></span>OnEndAnimationLoopServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDrinkWellContinuous::OnEndAnimationLoopServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d48/_action_drink_well_continuous_8c_source.html#l00086">86</a> of file <a class="el" href="../../d3/d48/_action_drink_well_continuous_8c_source.html">ActionDrinkWellContinuous.c</a>.</p>

</div>
</div>
<a id="aa4a1972217013859917de06cea7e08e5" name="aa4a1972217013859917de06cea7e08e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4a1972217013859917de06cea7e08e5">&#9670;&#160;</a></span>OnFinishProgressServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDrinkWellContinuous::OnFinishProgressServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d48/_action_drink_well_continuous_8c_source.html#l00059">59</a> of file <a class="el" href="../../d3/d48/_action_drink_well_continuous_8c_source.html">ActionDrinkWellContinuous.c</a>.</p>

</div>
</div>
<a id="a25e7084b6477181a771a9e321b1b7b22" name="a25e7084b6477181a771a9e321b1b7b22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25e7084b6477181a771a9e321b1b7b22">&#9670;&#160;</a></span>OnStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDrinkWellContinuous::OnStart </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d48/_action_drink_well_continuous_8c_source.html#l00047">47</a> of file <a class="el" href="../../d3/d48/_action_drink_well_continuous_8c_source.html">ActionDrinkWellContinuous.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/<a class="el" href="../../d3/d48/_action_drink_well_continuous_8c_source.html">ActionDrinkWellContinuous.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d4/dd2/class_action_drink_well_continuous.html">ActionDrinkWellContinuous</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
